org.kie.api.runtime.rule

## Interface RuleContext

- All Superinterfaces:
    KieContext

      public interface RuleContext
      extends KieContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blockMatch(Match match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.
    `void` | `cancelMatch(Match match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.
    `Match` | `getMatch()`
    `Rule` | `getRule()`
    `FactHandle` | `insertLogical(Object object)` Logically inserts a fact into the KieSession, justified by the current rule context.
    `FactHandle` | `insertLogical(Object object, Object value)` Logically inserts a fact into the KieSession, justified by the current rule context.
    `void` | `unblockAllMatches(Match match)` This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default.

    - ### Methods inherited from interface org.kie.api.runtime.KieContext

      `getKieRuntime, getKnowledgeRuntime`

- - ### Method Detail

    - #### getRule

          Rule getRule()

      Returns:
        the active Rule for the current context

    - #### getMatch

          Match getMatch()

      Returns:
        the current Match for the current context

    - #### insertLogical

          FactHandle insertLogical(Object object)

      Logically inserts a fact into the KieSession, justified by the current rule context.
      Parameters:
        `object` - the fact to insert into the kie session

    - #### insertLogical

          FactHandle insertLogical(Object object,
                                   Object value)

      Logically inserts a fact into the KieSession, justified by the current rule context.
      Parameters:
        `object` - the fact to insert into the kie session

    - #### blockMatch

          void blockMatch(Match match)

      This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.
      Parameters:
        `match` -

    - #### unblockAllMatches

          void unblockAllMatches(Match match)

      This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.
      Parameters:
        `match` -

    - #### cancelMatch

          void cancelMatch(Match match)

      This is an experimental feature that must be explicitly enabled via DeclarativeAgendaOption, which is off by default. This method may change or disable at any time.
      Parameters:
        `match` -

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.